<?php

// Exit if accessed directly
if( ! defined( 'ABSPATH' ) ) exit();

/**
* Third party
*/
class WooLentorProThirdParty{

    /**
     * [$_instance]
     * @var null
     */
    private static $_instance = null;

    /**
     * [instance] Initializes a singleton instance
     * @return [Base]
     */
    public static function instance() {
        if ( is_null( self::$_instance ) ) {
            self::$_instance = new self();
        }
        return self::$_instance;
    }
    
    function __construct(){
        if( !empty( woolentor_get_option_pro( 'productcheckoutpage', 'woolentor_woo_template_tabs', '0' ) ) && class_exists('WC_Checkout_Add_Ons_Loader') ){
            add_filter( 'wc_checkout_add_ons_position', array( $this,'change_add_ons_pos' ), 10, 1 );
        }
    }

    /**
     * [change_add_ons_pos] Support woocommerce-checkout-add-ons
     * @param  [string] $position
     * @return [string]
     */
    public function change_add_ons_pos( $position ){
        if( 'woocommerce_checkout_billing' === $position ){
            $position = 'woocommerce_after_checkout_billing_form';
        }elseif( 'woocommerce_checkout_before_customer_details' === $position ){
            $position = 'woocommerce_before_checkout_billing_form';
        }elseif( 'woocommerce_checkout_after_customer_details' === $position ){
            $position = 'woolentor_before_checkout_order';
        }
        return $position;
    }
    
}

WooLentorProThirdParty::instance();